// $Id: font_map.h,v 1.3 2002/09/03 14:02:31 gordon Exp $	
//
// Copyright (C) 2002 Gordon Fraser <gordon@debian.org>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// See the COPYING file for more details
//

#ifndef __font_map_h__
#define __font_map_h__

#include "exception.h"
#include "x_handler.h"
#include "image.h"

class FontMap
{
 protected:
  unsigned width_;
  unsigned height_;
  Pixmap*  font_map_;

 public:
  FontMap(const char*, unsigned, unsigned, XHandler*);
  virtual ~FontMap();
  Pixmap* getPixmap() const;
  int getX(char) const;
  unsigned getWidth() const;
};

#endif //__font_map_h__
