// $Id: color.cc,v 1.5 2002/09/04 15:38:13 gordon Exp $	
//
// Copyright (C) 2002 Gordon Fraser <gordon@debian.org>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// See the COPYING file for more details
//

#include "color.h"

//--------------------------------------------------------------------
Color::Color(const char *colorname1, int prop1, const char *colorname2, 
	     int prop2, XHandler* x_handler)
{
  value_ = x_handler->mixColor(colorname1, prop1, colorname2, prop2);
}

//--------------------------------------------------------------------
Color::Color(const char* colorname, XHandler* x_handler)
{
  value_ = x_handler->getColor(colorname);

}

//--------------------------------------------------------------------
Color::~Color()
{
}


